; This #include needs to be at the bottom of the parent script


CheckForUpdates:
; The GUI buttons must have variable set to vUpdateAvailable and vChromeUpdateAvailable for button to get updated

; The following variables need to be set in the parent script
; GitReleasesAPIURL
; ChromeFilepath

; Message = Checking for Updates
; SaveOrPostProgress(Message:=Message,PostType:="Tooltip,ErrorLoggingTextFile,DiscordErrorLogging")


if(CheckForUpdates(GitReleasesAPIURL)){
    GuiControl,,UpdateAvailable, %ScriptAbbreviatedName% Update Available!
}

if(CheckForChromeUpdates(ChromeFilepath)){
    GuiControl,,ChromeUpdateAvailable, Chrome Update Available!
    ; ChromeUpdateAvailable := 1
}
ToolTip
Return





UpdateChrome:

; if chroem doesn't exist, download it
if(ChromeFilepath = ""){
    Status := DownloadLatestChromium()
    if(Status)
    GuiControl,,ChromeUpdateAvailable, Chrome Up-To-Date
    Return
}

if(CheckForChromeUpdates = "")
Status := CheckForChromeUpdates(ChromeFilepath)

if(!status){
    OnMessage(0x44, "OnMsgBoxConfirmChromiumOverwrite")
    MsgBox 0x41, Already Up-to-Date, Yor current Chromium version is already up to date. `nDo you want to download and overwrite it?
    OnMessage(0x44, "")

    IfMsgBox OK, {
        Return
        } Else IfMsgBox Cancel, {
            ToolTip
        }
    }

    Status := DownloadLatestChromium()
    if(Status)
    GuiControl,,ChromeUpdateAvailable, Chrome Up-To-Date

    Return
/*
*/



PasteClipboardToEditBox:
if(A_GuiControl = "PasteClipboardToSMPBody"){
    GuiControl,,PostBody, %Clipboard%
}

if(A_GuiControl = "PasteClipboardToSMPTitle"){
    GuiControl,,PostTitle, %Clipboard%
}

if(A_GuiControl = "PasteClipboardToFLSTitle"){
    GuiControl,,LivestreamTitle, %Clipboard%
}

if(A_GuiControl = "PasteClipboardToFLSDescription"){
    GuiControl,,LivestreamDescription, %Clipboard%
}

if(A_GuiControl = "PasteClipboardToFLSTags"){
    GuiControl,,LivestreamTags, %Clipboard%
}


Return

OpenErrorLog:
run, %ErrorLoggingFilePath%
Return

OpenGiteaPage:
if(ScriptAbbreviatedName = "FLS")
    URL = https://freedomain.dev/yuriy/livestream-scheduler

if(ScriptAbbreviatedName = "FVU")
    URL = https://freedomain.dev/yuriy/video-uploader

if(ScriptAbbreviatedName = "FSMP")
    URL = https://freedomain.dev/yuriy/social-media-poster


run, %URL%
Return
